# certbot.tests.acme_util module

ACME utilities for testing.

certbot.tests.acme_util.chall_to_challb(chall: Challenge, status: Status) → ChallengeBody

  Return ChallengeBody from Challenge.

certbot.tests.acme_util.gen_authzr(authz_status: Status, domain: str, challs: Iterable[Challenge], statuses: Iterable[Status]) → AuthorizationResource

  Generate an authorization resource.

  Parameters:

    - authz_status (`acme.messages.Status`) – Status object

    - challs (list) – Challenge objects

    - statuses (list) – status of each challenge object